## Changes

- When airborne without any jumps remaining, Artificer will switch between falling and hovering when jump is pressed.
- When falling when she has jumps remaining, Artificer will NOT jump when jump is pressed. Instead, she can release it immediately to jump again, or hold it in briefly to trigger hover.
- If she was hovering when using a second jump, or if she taps jump twice in quick succession while not hovering, Artificer will now automatically hover after she begins falling.
- If grounded, she will now automatically hover if jump is held.

## Why?

Risk of Rain 2 on a controller still sounds weird to me as someone who's used to kb/m for shooter games like these, but for people transitioning from console or people who are just used to twinstick controls it can apparently work. Having to split your right thumb between the right analog and buttons usually works okay for most characters, but for Artificer there's a major issue with that - one of her defining features, ENV Suit, requires the jump button to be held in on PC. The console version addresses this with an option that enables hover to be toggled instead of held in, but no such option exists for the Steam version.

There IS technically a mod that addresses this issue already - ArtificerToggleHover by bongopd. This is a usable solution, but it only allows you to hover after all of your jumps are depleted, unlike the console version which allows you to hold in jump to hover instead. This mod instead entirely rewrites the character submain that calls for her jetpack, allowing me to remove the jump code out of ProcessJump and create a tap jump system to cover Hopoo Feather.

## Future fixes
- Currently none - I've added everything I planned to initially. StageAesthetic might be updated sometime within the next month, but I currently have a lot of shit going down over the next 2-3 weeks so coding is going very slow atm
- I don't know if multiplayer works, but it's not on the menu to get fixed

## Changelog

### 1.0.6
- When jumping from the ground, you can now hold jump to automatically hover
- Code added to ProcessJump() and FixedUpdate() to set a delay for using jump again after tap jumping; this will prevent the jump, BUT...
- If you input jump during this delay when Artificer does not have hover toggled on, Artificer will automatically hover when falling
- Config added for both options. I would highly recommend tweaking the grace period delay until you can reliably separate the inputs for double tap and double jump, especially if you're using a keyboard
- Added missing HookGenPatcher dependency

### 1.0.5
- Switched obsolete Resource.Load calls to LegacyResourceAPI.Load

### 1.0.4
- Nothing changed in the mod itself, just updating manifest file to remove R2API as a dependency

### 1.0.3
- Temporarily removed InLobbyConfig support
- Rewrote config to work properly
- Updated to DLC. Please let me know what breaks

### 1.0.2
- Added config to automatically hover after using Ion Surge. This will NOT work with mods like ArtificerExtended that replace Ion Surge; ask them for compatibility if you want it
- Removed unneeded code
- Have fun with this for the uh. 11 days it's going to remain functional??? This is one of two mods I plan to port to DLC, but that'll depend on the API and how much needs to be rewritten

### 1.0.1
- Fixed typo in InLobbyConfig entry
- Added GitHub repository in case anyone wants the code for their own use. I forgot to add it beforehand lol

### 1.0.0
- First release